<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                template="/WEB-INF/templates/LoggedTemplate.xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:f="http://java.sun.com/jsf/core">


    <ui:define name="contentPart">

        <h:outputText 
            value="Nómina -> Reportes -> Archivo de dispersión" 
            style="font-weight: bold"/>

        <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>            
        <h:outputText value="Generación de reporte archivo de dispersión" />
        <br/><br/>

        <div id="buscar" align="center" style="margin-top: 20px;">

            <h:form>
                <h:panelGrid columns="4" columnClasses="centered5,centered6,centered5,centered6" cellpadding="5">
                     
                    <p:column>
                    <p:outputLabel value="Ejercicio" for="ejercicio" style="font-weight: bold"/>
                     </p:column>
                    <p:column>
                    <p:selectOneMenu id="ejercicio" 
                                     class="ejercicio"
                                     required="true"
                                     requiredMessage="se debe seleccionar un ejercicio"
                                     value="#{reporteDispersionMB.idEjercicio}"
                                     style="min-width: 200px !important; ">
                        <p:ajax   event="change"
                                  listener="#{reporteDispersionMB.obtenerQuincenas()}"
                                  process="@(.ejercicio)"
                                  update="@(.quincenas)"/>
                        <f:selectItem itemLabel="Seleccionar ejercicio"
                                      noSelectionOption="true" />
                        <f:selectItems value="#{reporteDispersionMB.ejercicios}"
                                       var="ejercicio"
                                       itemLabel="#{ejercicio.valor}"
                                       itemValue="#{ejercicio.idEjercicio}"
                                       />
                    </p:selectOneMenu>
                     </p:column>
                    <p:column>
                        <p:outputLabel value="Quincena" for="quincenas" style="font-weight: bold"/>
                     </p:column>
                    <p:column>
                    <p:selectOneMenu id="quincenas"
                                     class="quincenas"
                                     required="true"
                                     value="#{reporteDispersionMB.idQuincena}"
                                     style="min-width: 200px !important;"
                                     >
                        <p:ajax   event="change"
                                  listener="#{reporteDispersionMB.obtenerNominas()}"
                                  process="@(.quincenas)"
                                  update="@(.nominas)"/>
                        <f:selectItem itemLabel="Seleccionar Quincena"

                                      noSelectionOption="true" />
                        <f:selectItems value="#{reporteDispersionMB.quincenas}"
                                       var="quincena"
                                       itemLabel="#{quincena.get('DESCRIPCION_QUINCENA')}"
                                       itemValue="#{quincena.get('ID_QUINCENA')}"
                                       />

                    </p:selectOneMenu>
                         </p:column>
                </h:panelGrid>
            </h:form>
        </div>

        <div id="datos" align="center">
            <h:form>
         <h:panelGrid columns="1" cellpadding="5" columnClasses="centered7" style="width: 90%">
                <p:dataTable id="nominas" var="nomina" 
                             value="#{reporteDispersionMB.nominas}" 
                             class="nominas"
                             paginatorPosition="bottom"
                             emptyMessage="No hay Nóminas"
                             paginator="true" 
                             rows="5"
                             rowsPerPageTemplate="5,10,15"
                             currentPageReportTemplate="Mostrando nóminas de la {startRecord} a la {endRecord} de {totalRecords}."
                             paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"
                             style="font-size: small"                             
                             >
                    <p:column headerText="EJERCICIO" style="width: 5%; text-align: center">
                        <h:outputText value="#{nomina['EJERCICIO']}" />
                    </p:column>
                    <p:column headerText="QUINCENA" style="width: 5%; text-align: center">
                        <h:outputText value="#{nomina['QUINCENA']}" />
                    </p:column>
                    <p:column headerText="TIPO DE NÓMINA" style="width: 15%; ">
                        <h:outputText value="#{nomina['TIPO_NOMINA']}" />
                    </p:column>
                    <p:column headerText="ACCIONES" style="width: 5%; ">
                        <p:commandButton value="Descargar PAG"
                                         title="DESCARGA PAG"
                                         ajax="false"                         
                                         icon="ui-icon-arrowthick-1-s"
                                         actionListener="#{reporteDispersionMB.getFileDownload(nomina['ID_NOMINA'])}"
                                         style="display:inline; float:left;font-size:x-small;width: 120px">
                            <p:fileDownload value="#{reporteDispersionMB.file}" />
                        </p:commandButton>
                        <br/>
                        <p:commandButton value="Descargar excel"
                                         title="DESCARGA xsl"
                                         ajax="false"                         
                                         icon="ui-icon-arrowthick-1-s"
                                         actionListener="#{reporteDispersionMB.getFileDownloadxls(nomina['ID_NOMINA'])}"
                                         style="display:inline; float:left;font-size:x-small;width: 120px">
                            <p:fileDownload value="#{reporteDispersionMB.file}" />
                        </p:commandButton>
                    </p:column>
                </p:dataTable>
         </h:panelGrid>
            </h:form>
        </div>

    </ui:define>


</ui:composition>